Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06104 Gameplay Minor Always Dec 24, 2015, 08:35 Jan 21, 2016, 20:22
Tester einstein95 View Status Public Platform MESS (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver x1.cpp
Version 0.168 Fixed in Version 0.170 Build 64-bit
Summary MESS-specific 06104: x1 [druaga]: druaga fails to get past loading screen
Description The system loads the file from the disk, boots into a higher resolution, asks for the drive to load from, reloads the file and reboots. The last three steps are repeated indefinitely.
Steps To Reproduce Start MAME with druaga in flop1.
Additional Information
Flags
Regression Version 0.163
Affected Sets / Systems x1 [druaga]
Attached Files
png file icon 0002.png (772 bytes) Dec 24, 2015, 08:35 Uploaded by einstein95
Initial load
einstein95
png file icon 0003.png (1,023 bytes) Dec 24, 2015, 08:36 Uploaded by einstein95
After the first reboot
einstein95
png file icon 0005.png (1,109 bytes) Dec 24, 2015, 08:37 Uploaded by einstein95
After selecting drive 0
einstein95
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.12275
Tafoid
Administrator
Dec 25, 2015, 01:08
Regression specifically, within a 3 day window where there were a bunch of wd_fdc.c changes (May 29-31, 2015)
User avatar
No.12356
einstein95
Tester
Jan 18, 2016, 20:30
This seems to also have affected every other X1 floppy game. I've tested tetris and tankent2 and both fail to load, never getting past a similar loading screen.
User avatar
No.12363
crazyc
Developer
Jan 20, 2016, 23:38
I think the motor control is wrong for this machine as it seems to expect reads to succeed when the motor is turned off. The regression was likely caused in commit 2f7882fbff8a0fa3877fdfe9217d2ec57d875b1f when the x1 was converted to use wd_fdc from the old wdc fdc code which apparently didn't require the floppy motor to be on to read the disk.
User avatar
No.12365
crazyc
Developer
Jan 21, 2016, 20:22
Work around in 6965f6ddb429b2e00bd3005e12665038b79f7ec3.